Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#75048 - [sundials] CMake package-config busted in 6.2.0-1

Attached to Project: Community Packages
Opened by John Eivind Helset (jehelset) - Sunday, 12 June 2022, 14:31 GMT
Last edited by Antonio Rojas (arojas) - Sunday, 12 June 2022, 18:03 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Antonio Rojas (arojas)
David Runge (dvzrv)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

SUNDIALS cmake package-config is referencing files that don't exist.

in SUNDIALSTarget.cmake:73

set_target_properties(SUNDIALS::generic_shared PROPERTIES
INTERFACE_INCLUDE_DIRECTORIES "/usr/include;${_IMPORT_PREFIX}/include;/usr/include"
INTERFACE_LINK_LIBRARIES "/usr/lib/openmpi/libmpi.so;/usr/lib/openmpi/libmpi.so"
)

but, openmpi 4.1.4-1 has:

pacman -Ql openmpi | grep libmpi.so
openmpi /usr/lib/libmpi.so
openmpi /usr/lib/libmpi.so.40
openmpi /usr/lib/libmpi.so.40.30.4

Steps to reproduce:

try to use the cmake package-config of SUNDIALS.
This task depends upon

Closed by  Antonio Rojas (arojas)
Sunday, 12 June 2022, 18:03 GMT
Reason for closing:  Fixed
Additional comments about closing:  sundials 6.2.0-2
Comment by Antonio Rojas (arojas) - Sunday, 12 June 2022, 14:50 GMT
openmpi 4.1.3 changed the library location. @dvzrv this might require rebuilding more stuff.
Comment by David Runge (dvzrv) - Sunday, 12 June 2022, 15:17 GMT
@jehelset: Thanks for the report.

@arojas: I'll create a TODO for rebuild just to be sure.
Comment by John Eivind Helset (jehelset) - Sunday, 12 June 2022, 15:19 GMT
ok, thanks @arojas & @dvzrv.

Loading...